org.apache.cassandra.index.sasi.conf.view

## Class PrefixTermTree.Builder

- java.lang.Object
- - org.apache.cassandra.index.sasi.conf.view.TermTree.Builder
  - - org.apache.cassandra.index.sasi.conf.view.PrefixTermTree.Builder

- Enclosing class:
    PrefixTermTree

      public static class PrefixTermTree.Builder
      extends TermTree.Builder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<Interval<RangeTermTree.Term,SSTableIndex>>` | `intervals`

    - ### Fields inherited from class org.apache.cassandra.index.sasi.conf.view.TermTree.Builder

      `comparator, max, min, mode`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Builder(OnDiskIndexBuilder.Mode mode, AbstractType<?> comparator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIndex(SSTableIndex index)`
    `TermTree` | `build()`

    - ### Methods inherited from class org.apache.cassandra.index.sasi.conf.view.TermTree.Builder

      `add`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### intervals

          protected final java.util.List<Interval<RangeTermTree.Term,SSTableIndex>> intervals

  - ### Constructor Detail

    - #### Builder

          protected Builder(OnDiskIndexBuilder.Mode mode,
                            AbstractType<?> comparator)

  - ### Method Detail

    - #### addIndex

          public void addIndex(SSTableIndex index)

    - #### build

          public TermTree build()

Copyright © 2018 The Apache Software Foundation